--- vim-gvim.SlackBuild	2006-09-17 21:02:00.000000000 -0400
+++ vim-gvim.SlackBuild.s390x	2007-01-16 00:43:41.000000000 -0500
@@ -18,7 +18,7 @@
 # Determine VIM patchlevel:
 if [ -d $CWD/patches ] ; then
   cd $CWD/patches
-  PATCHLEVEL=$(/bin/ls 2> /dev/null | tail -1 | cut -f 3 -d . )
+  PATCHLEVEL=$(/bin/ls 2> /dev/null | tail -n1 | cut -f 3 -d . )
     if [ "$PATCHLEVEL" = "" ]; then
       PATCHLEVEL=000
     fi
@@ -41,7 +41,7 @@
   --enable-multibyte \
   --enable-cscope \
   --with-features=huge \
-  --with-compiledby="<volkerdi@slackware.com>" \
+  --with-compiledby="<markkp@slack390.org>" \
   $ARCH-slackware-linux
 
   # I had been adding this, but got 100% complaints and 0% kudos:
@@ -87,12 +87,6 @@
 ( cd $PKG/usr/bin ; rm -rf evim )
 ( cd $PKG/usr/bin ; ln -sf vim evim )
 
-mkdir -p $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL
-cp -a README.txt $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL
-find $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL -type f | xargs chmod 644
-( cd $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL ; rm -rf doc )
-( cd $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL ; ln -sf /usr/share/vim/vim$DIRVER doc )
-
 mkdir -p $PKG/install
 cat $CWD/slack-desc.vim-gvim > $PKG/install/slack-desc
 zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
@@ -141,6 +135,10 @@
   done
 )
 
+mkdir -p $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL
+( cd $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL ; rm -rf doc )
+( cd $PKG/usr/doc/vim-$VIMVER.$PATCHLEVEL ; ln -sf /usr/share/vim/vim$DIRVER doc )
+
 # Finally, reference purge:
 rm -rf $PKG/vim
 
